[Rainmeter]
Author=http://www.nextwindows.ru/

[Variables]
UpdateRateSeconds=100
FontFace=Calibri
URL=http://www.foreca.ru/Russia/Moskva?tenday&add=100524901
URL1=http://www.foreca.ru/Russia/Moskva

[Background]
Meter=IMAGE
imageName=bg.png
X=0
Y=0
W=200
H=285
Hidden=1
 
[MeasureName]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)<h2>(.*)</h2>.*"
UpdateRate=#UpdateRateSeconds#
Substitute="&deg;":""
StringIndex=1

[MeasureDEN]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU).*<span class="h5">(.*)</span>.*<span class="h5">(.*)</span>.*<span class="h5">(.*)</span>.*<span class="h5">(.*)</span>.*<span class="h5">(.*)</span>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[MeasureDEN2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
UpdateRate=#UpdateRateSeconds#
StringIndex=2

[MeasureDEN3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
UpdateRate=#UpdateRateSeconds#
StringIndex=3

[MeasureDEN4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
UpdateRate=#UpdateRateSeconds#
StringIndex=4

[MeasureTMAX]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)Макс: <strong>(.*)</strong>.*Макс: <strong>(.*)</strong>.*Макс: <strong>(.*)</strong>.*Макс: <strong>(.*)</strong>.*Макс: <strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1
Substitute="&deg;":""

[MeasureTMAX2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
UpdateRate=#UpdateRateSeconds#
StringIndex=2
Substitute="&deg;":""

[MeasureTMAX3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
UpdateRate=#UpdateRateSeconds#
StringIndex=3
Substitute="&deg;":""

[MeasureTMAX4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
UpdateRate=#UpdateRateSeconds#
StringIndex=4
Substitute="&deg;":""

[MeasureTMAX5]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
UpdateRate=#UpdateRateSeconds#
StringIndex=5
Substitute="&deg;":""

[MeasureTMIN]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)Мин: <strong>(.*)</strong>.*Мин: <strong>(.*)</strong>.*Мин: <strong>(.*)</strong>.*Мин: <strong>(.*)</strong>.*Мин: <strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1
Substitute="&deg;":""

[MeasureTMIN2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
UpdateRate=#UpdateRateSeconds#
StringIndex=2
Substitute="&deg;":""

[MeasureTMIN3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
UpdateRate=#UpdateRateSeconds#
StringIndex=3
Substitute="&deg;":""

[MeasureTMIN3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
UpdateRate=#UpdateRateSeconds#
StringIndex=3
Substitute="&deg;":""

[MeasureTMIN4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
UpdateRate=#UpdateRateSeconds#
StringIndex=4
Substitute="&deg;":""

[MeasureTMIN5]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
UpdateRate=#UpdateRateSeconds#
StringIndex=5
Substitute="&deg;":""

[MeasureWeatherIcon]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)<img src="/img/symb-50x50/(.*).png.*"
StringIndex=1
UpdateRate=#UpdateRateSeconds#


[MeasureWeatherIcon2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*"
StringIndex=2
UpdateRate=#UpdateRateSeconds#


[MeasureWeatherIcon3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*"
StringIndex=3
UpdateRate=#UpdateRateSeconds#


[MeasureWeatherIcon4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*"
StringIndex=4
UpdateRate=#UpdateRateSeconds#


[MeasureWeatherIcon5]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*"
StringIndex=5
UpdateRate=#UpdateRateSeconds#

;[MeasureWeatherIconF]
;Measure=Plugin
;Plugin=Plugins/WebParser.dll
;Url=#URL1#
;RegExp="(?siU)<img class="symb" src="/img/symb-70x70/(.*).png.*"
;StringIndex=1
;UpdateRate=#UpdateRateSeconds#


[MeasureWeatherIcon]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU)<img class="symb" src="/img/symb-70x70/(.*).png.*"
StringIndex=1
UpdateRate=#UpdateRateSeconds#

[MeasureF]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU)<h4 class="entry-title">(.*)</h4>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[MeasureTF]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU)<span class=".* txt-xxlarge"><strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[MeasureFO]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU)<div class="right txt-tight">(.*)<br />.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[MeasureFD]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU)Барометр:  <strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[MeasureOW]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU)От. влажность:   <strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[Measurewind]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU).*<h4 class="entry-title">Фактическая погода</h4>.*<strong>(.*)</strong>.*<strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=2
Substitute="&deg;":""

[MeasureTR]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU).*Точка росы:   <strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1
Substitute="&deg;":""


[MeterDEN2]
Meter=String
MeasureName=MeasureDEN2
X=16
Y=180
W=100
H=18
FontSize=8
FontColor=250,250,250,150
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Group=MAX
Hidden=0

[MeterDEN3]
Meter=String
MeasureName=MeasureDEN3
X=63r
Y=180
W=100
H=18
FontSize=8
FontColor=250,250,250,150
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Group=MAX
Hidden=0

[MeterDEN4]
Meter=String
MeasureName=MeasureDEN4
X=63r
Y=180
H=18
W=50
FontSize=8
FontColor=250,250,250,150
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Group=MAX
Hidden=0

[MeterT2]
Meter=String
MeasureName=MeasureTMAX2
MeasureName2=MeasureTMIN2
X=13
Y=230
H=18
W=60
FontSize=8
FontColor=250,250,250,150
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Text="%1, %2"
Group=MAX
Hidden=0

[MeterT3]
Meter=String
MeasureName=MeasureTMAX3
MeasureName2=MeasureTMIN3
X=63r
Y=230
H=18
W=60
FontSize=8
FontColor=250,250,250,150
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Text="%1, %2"
Group=MAX
Hidden=0

[MeterT4]
Meter=String
MeasureName=MeasureTMAX4
MeasureName2=MeasureTMIN4
X=63r
Y=230
H=18
W=50
FontSize=8
FontColor=250,250,250,150
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Text="%1, %2"
Group=MAX
Hidden=0

[MeterIcon2]
Meter=Image
MeasureName=MeasureWeatherIcon2
Path="#CURRENTPATH#WeatherIcons N"
X=8
Y=185
H=60
W=60
ImageAlpha=150
Group=MAX
Hidden=0

[MeterIcon3]
Meter=Image
MeasureName=MeasureWeatherIcon3
Path="#CURRENTPATH#WeatherIcons N"
X=70
Y=185
H=60
W=60
ImageAlpha=150
Group=MAX
Hidden=0

[MeterIcon4]
Meter=Image
MeasureName=MeasureWeatherIcon4
Path="#CURRENTPATH#WeatherIcons N"
X=132
Y=185
H=60
W=60
ImageAlpha=150
Group=MAX
Hidden=0

-------------фактическая погода-----------------

[MeterName]
Meter=String
MeasureName=MeasureName
X=15
Y=25
W=150
H=18
FontColor=250,250,250,150
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
FontSize=13

[MeterF]
Meter=String
MeasureName=MeasureF
X=15
Y=40
W=200
H=18
FontColor=250,250,250,150
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
FontSize=10

;[MeterIconF]
;Meter=Image
;MeasureName=MeasureWeatherIconF
;Path="#CURRENTPATH#WeatherIcons"
;X=15
;Y=45
;H=90
;W=90
;ImageAlpha=150

[MeterIcon]
Meter=Image
MeasureName=MeasureWeatherIcon
Path="#CURRENTPATH#WeatherIcons N"
X=15
Y=45
H=90
W=90
ImageAlpha=150

[MeterTF]
Meter=String
MeasureName=MeasureTF
X=110
Y=60
W=120
H=30
FontColor=250,250,250,150
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
FontSize=20
Postfix="°С"

[MeterFO]
Meter=String
MeasureName=MeasureFO
X=10
Y=100
W=180
H=40
FontColor=250,250,250,150
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
FontSize=9
AntiAlias=1

[MeterFD]
Meter=String
MeasureName=MeasureFD
X=15
Y=30r
W=200
H=35
FontSize=8
FontColor=250,250,250,150
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Prefix="Барометр: "

[MeterOW]
Meter=String
MeasureName=MeasureOW
X=15
Y=12r
W=200
H=35
FontSize=8
FontColor=250,250,250,150
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Prefix="Влажность: "

[Meterwind]
Meter=String
MeasureName=Measurewind
X=15
Y=12r
W=200
H=35
FontSize=8
FontColor=250,250,250,150
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Prefix="Ветер: "

[MeterTR]
Meter=String
MeasureName=MeasureTR
X=15
Y=12r
W=200
H=35
FontSize=8
FontColor=250,250,250,150
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Prefix="Точка росы: "
